curl --request GET \
--url https://api.topcalls.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"realtime": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"type": "<string>",
"description": "<string>",
"latency": "<string>",
"supports_tools": true,
"supports_interruptions": true
}
],
"legacy": {
"llm": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"latency": "<string>",
"default": true
}
],
"stt": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"languages": 123,
"supports_multilingual": true,
"default": true
}
],
"tts": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"latency": "<string>",
"supports_cloning": true,
"default": true
}
]
}
}Returns all available AI models grouped by mode.
Realtime mode: Speech-to-speech models for ultra-low latency conversations.
Legacy mode: Separate STT, LLM, and TTS models that can be mixed and matched.
Use this endpoint to discover which models are available and their capabilities.
curl --request GET \
--url https://api.topcalls.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"realtime": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"type": "<string>",
"description": "<string>",
"latency": "<string>",
"supports_tools": true,
"supports_interruptions": true
}
],
"legacy": {
"llm": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"latency": "<string>",
"default": true
}
],
"stt": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"languages": 123,
"supports_multilingual": true,
"default": true
}
],
"tts": [
{
"id": "<string>",
"displayName": "<string>",
"provider": "<string>",
"description": "<string>",
"latency": "<string>",
"supports_cloning": true,
"default": true
}
]
}
}